Skip to content

Add a GitHub repository as a marketplace (public, or private via the GitHub App)

POST
/v1/marketplaces
curl --request POST \
--url https://app.skillpouch.net/v1/marketplaces \
--header 'Content-Type: application/json' \
--data '{ "repo": "example" }'
Media typeapplication/json
object
repo
required
string
>= 3 characters <= 300 characters

Example generated

{
"repo": "example"
}

Default Response

Media typeapplication/json
object
ok
required
boolean
data
required
object
id
required
string
source
required
string
Allowed values: skills_sh mcp_registry github
name
required
string
description
required
string | null
repo
required
string | null
private
required
boolean
builtin
required
boolean
url
required
string
kinds
required
Array<string>
Allowed values: skill agent command instructions mcp_server plugin
meta
required
object
request_id
required
string
next_cursor
string | null

Example

{
"ok": true,
"data": {
"source": "skills_sh",
"kinds": [
"skill"
]
}
}